Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class ConfigSlurper

Field Summary
`def` | `ENV_METHOD`
`def` | `ENV_SETTINGS`
`Map` | `bindingVars`
`GroovyClassLoader` | `classLoader`
`def` | `envMode`
`String` | `environment`

Constructor Summary
`ConfigSlurper()`
`ConfigSlurper(String env)` Constructs a new ConfigSlurper instance using the given environment

Method Summary
`ConfigObject` | `parse(Properties properties)` Parses a ConfigObject instances from an instance of java.util.Properties
`ConfigObject` | `parse(String script)` Parse the given script as a string and return the configuration object
`ConfigObject` | `parse(Class scriptClass)` Create a new instance of the given script class and parse a configuration object from it
`ConfigObject` | `parse(Script script)` Parse the given script into a configuration object (a Map)
`ConfigObject` | `parse(URL scriptLocation)` Parses a Script represented by the given URL into a ConfigObject
`ConfigObject` | `parse(Script script, URL location)` Parses the passed groovy.lang.Script instance using the second argument to allow the ConfigObject to retain an reference to the original location other Groovy script
`void` | `setBinding(Map vars)` Sets any additional variables that should be placed into the binding when evaluating Config scripts

Constructor Detail

### ConfigSlurper

    public ConfigSlurper()

### ConfigSlurper

    public ConfigSlurper(String env)

  Constructs a new ConfigSlurper instance using the given environment
  param:
    env The Environment to use

Method Detail

### parse

    ConfigObject parse(Properties properties)

  Parses a ConfigObject instances from an instance of java.util.Properties
  param:
    The java.util.Properties instance

### parse

    ConfigObject parse(String script)

  Parse the given script as a string and return the configuration object
  see:
    ConfigSlurper#parse(groovy.lang.Script)

### parse

    ConfigObject parse(Class scriptClass)

  Create a new instance of the given script class and parse a configuration object from it
  see:
    ConfigSlurper#parse(groovy.lang.Script)

### parse

    ConfigObject parse(Script script)

  Parse the given script into a configuration object (a Map)
  param:
    script The script to parse
  return:
    A Map of maps that can be navigating with dot de-referencing syntax to obtain configuration entries

### parse

    ConfigObject parse(URL scriptLocation)

  Parses a Script represented by the given URL into a ConfigObject
  param:
    scriptLocation The location of the script to parse
  return:
    The ConfigObject instance

### parse

    ConfigObject parse(Script script, URL location)

  Parses the passed groovy.lang.Script instance using the second argument to allow the ConfigObject to retain an reference to the original location other Groovy script
  param:
    script The groovy.lang.Script instance
  param:
    location The original location of the Script as a URL
  return:
    The ConfigObject instance

### setBinding

    void setBinding(Map vars)

  Sets any additional variables that should be placed into the binding when evaluating Config scripts